Summary: A Web browser, news reader and e-mail client.
Name: netscape-sparc
Version: 4.51
Release: 24
Serial: 2
Copyright: Commercial
Group: Applications/Internet
Source0: ftp://ftp.netscape.com/pub/communicator/english/4.51/unix/linux20_sparc_glibc2/complete_install/communicator-v451-export.sparc-unknown-linux2.0.tar.gz
Source1: ftp://ftp.netscape.com/pub/communicator/english/4.51/unix/linux20_sparc_glibc2/navigator_standalone/navigator-v451-export.sparc-unknown-linux2.0.tar.gz
Source2: netscape.sh
Source3: netscape-communicator.desktop
Source4: netscape-navigator.desktop
Source5: bookmark.htm
Source10: nethelp-ja.tar.bz2
Source11: Netscape.ja.4.72.bz2
Source12: nethelp-es.tar.bz2
Source13: Netscape.es.4.72.bz2
Source14: nethelp-fr.tar.bz2
Source15: Netscape.fr.4.72.bz2
Source16: nethelp-de.tar.bz2
Source17: Netscape.de.4.72.bz2

Buildroot: /var/tmp/ns-root
Prefix: /usr
ExclusiveArch: sparc

%description
Netscape Navigator is the industry-leading Web browser.  It supports
the latest HTML standards, Java, JavaScript and some style sheets. It
also includes a full-featured Usenet news reader as well as a complete
e-mail client.

%package -n netscape-common
Requires: indexhtml
Obsoletes: nls
Summary: Files shared by the Netscape Navigator and Communicator.
Group: Applications/Internet

%description -n netscape-common
This package contains the files that are shared between the Netscape
Navigator Web browser and the Netscape Communicator suite of tools
(the Navigator Web browser, an e-mail client, a news reader and Web
page editor).

Install the netscape-common package if you're installing the
netscape-navigator and/or the netscape-communicator program.

%package -n netscape-communicator
Requires: netscape-common = %{version}
Provides: webclient
Summary: A Web browser, news reader and e-mail client.
Group: Applications/Internet

%description -n netscape-communicator
Netscape Communicator is a suite of tools including a Web browser, a
Usenet news reader and an e-mail client.

%package -n netscape-navigator
Requires: netscape-common = %{version}
Provides: webclient
Summary: The Netscape Navigator Web browser.
Group: Applications/Internet

%description -n netscape-navigator
Netscape Navigator is the industry-leading Web browser. It supports
the latest HTML standards, Java, JavaScript and some style sheets.

Information on the Netscape Navigator license may be found in the file
/usr/doc/netscape-common-%{version}/LICENSE.

This will install the basic Netscape Navigator Web browser.
If you want additional features, such as the Usenet news reader and
HTML editor, you should install the netscape-communicator package.

%prep
%setup -c -b 1
mv communic*/* .
rmdir communicator*

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin \
	$RPM_BUILD_ROOT/usr/lib/netscape/plugins \
	$RPM_BUILD_ROOT/usr/lib/netscape/java/classes

for I in *.nif; do
	tar -C $RPM_BUILD_ROOT/usr/lib/netscape -xzvf $I
done
mv $RPM_BUILD_ROOT/usr/lib/netscape/netscape $RPM_BUILD_ROOT/usr/lib/netscape/netscape-communicator
cp -a vreg $RPM_BUILD_ROOT/usr/lib/netscape
cp -a *.jar $RPM_BUILD_ROOT/usr/lib/netscape/java/classes
echo 'Communicator,4.51.0.99058,/usr/lib/netscape' > /tmp/infile
./vreg $RPM_BUILD_ROOT/usr/lib/netscape/registry /tmp/infile
rm -f /tmp/infile

# get the netscape-navigator binary now
tar xvzf %{SOURCE1} '*/netscape-v451.nif'
tar xvzf navigator*/netscape-v451.nif netscape

install -m 755 netscape $RPM_BUILD_ROOT/usr/lib/netscape/netscape-navigator

install -m755 $RPM_SOURCE_DIR/netscape.sh $RPM_BUILD_ROOT/usr/bin/netscape

# put this stuff into the doc directory
mv $RPM_BUILD_ROOT/usr/lib/netscape/{LICENSE,README,Netscape.ad} .

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Internet
cp -av $RPM_SOURCE_DIR/netscape-communicator.desktop \
 $RPM_BUILD_ROOT/etc/X11/applnk/Internet/netscape-communicator.desktop
cp -av $RPM_SOURCE_DIR/netscape-navigator.desktop \
 $RPM_BUILD_ROOT/etc/X11/applnk/Internet/netscape-navigator.desktop

ln -s netscape $RPM_BUILD_ROOT/usr/bin/netscape-navigator
ln -s netscape $RPM_BUILD_ROOT/usr/bin/netscape-communicator

rm -f `find $RPM_BUILD_ROOT -path "*dynMotif*"`

install -m 644 $RPM_SOURCE_DIR/bookmark.htm $RPM_BUILD_ROOT/usr/lib/netscape

# Do localization stuff

for locale in fr es ja de; do
  mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$locale/app-defaults
  bunzip2 -c $RPM_SOURCE_DIR/Netscape.$locale.4.72.bz2 > \
     $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$locale/app-defaults/Netscape
  if [ -e $RPM_SOURCE_DIR/nethelp-$locale.tar.bz2 ]; then
     mkdir -p $RPM_BUILD_ROOT/usr/lib/netscape/$locale
     cd $RPM_BUILD_ROOT/usr/lib/netscape/$locale ; \
        bunzip2 -c $RPM_SOURCE_DIR/nethelp-$locale.tar.bz2 | tar -xvvf -
  fi
%ifarch sparc
  pushd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$locale/app-defaults
  perl -pi -e "s|4.72|4.51|g" Netscape
  popd
%endif
done

ln -s ja $RPM_BUILD_ROOT/usr/lib/netscape/ja_JP.ujis

%clean
rm -rf $RPM_BUILD_ROOT

%files -n netscape-common
%defattr(-,root,root)
/usr/bin/netscape
%dir /usr/lib/netscape
/usr/lib/netscape/*/nethelp
%doc README LICENSE Netscape.ad
/usr/lib/netscape/bookmark.htm
/usr/lib/netscape/java
#/usr/lib/netscape/libjsd.so
# This thing uses libc5...
# /usr/lib/netscape/dynfonts
/usr/lib/netscape/nethelp
/usr/lib/netscape/registry
/usr/lib/netscape/vreg
/usr/lib/netscape/plugins
/usr/X11R6/lib/X11/*/app-defaults/*


%files -n netscape-navigator
%defattr(-,root,root)
%config(missingok) /etc/X11/applnk/Internet/netscape-navigator.desktop
/usr/bin/netscape-navigator
/usr/lib/netscape/netscape-navigator

%files -n netscape-communicator
%defattr(-,root,root)
%config(missingok) /etc/X11/applnk/Internet/netscape-communicator.desktop
/usr/bin/netscape-communicator
/usr/lib/netscape/netscape-communicator
/usr/lib/netscape/movemail
/usr/lib/netscape/movemail-src
/usr/lib/netscape/spell

%post -n netscape-common
if [ -x /usr/sbin/chkfontpath ]; then
  /usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/75dpi
fi


%changelog
* Fri Mar  3 2000 Bill Nottingham <notting@redhat.com>
- updated Japanese locale defaults
- move movemail, movemail-src, spell to communicator package

* Wed Mar  1 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Add German nethelp
- fix up broken HTML in nethelp, all locales

* Tue Feb 29 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Add locale files for German
- while at it, fix up the ISO-8859-15-entry for French and Spanish

* Fri Feb 25 2000 Bill Nottingham <notting@redhat.com>
- don't run sparc against glibc-2.0; the X bug has been fixed
- don't do locale-munging; 4.72 doesn't write broken locale settings

* Thu Feb 24 2000 Bill Nottingham <notting@redhat.com>
- tweak wrapper script to be smarter about lock files

* Wed Feb 23 2000 Bill Nottingham <notting@redhat.com>
- update to 4.72 on intel

* Wed Feb 16 2000 Bill Nottingham <notting@redhat.com>
- munge default bookmarks slightly

* Tue Feb  8 2000 Bill Nottingham <notting@redhat.com>
- fix netscape.sh syntax errors
- fix homepage detection

* Fri Feb  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix netscape.sh syntax errors

* Fri Feb  4 2000 Bill Nottingham <notting@redhat.com>
- integrate some l10n stuff

* Fri Nov  5 1999 Bill Nottingham <notting@redhat.com>
- remove sparc binaries - in different package now. 

* Wed Sep 29 1999 Bill Nottingham <notting@redhat.com>
- update to 4.7

* Fri Sep 24 1999 Bill Nottingham <notting@redhat.com>
- fix timezone

* Wed Sep 22 1999 Bill Nottingham <notting@redhat.com>
- fix quoting in shell script
- fix processname of compat-lib-ized netscape

* Mon Sep 20 1999 Matt Wilson <msw@redhat.com>
- make netscape-common requirements include the serial

* Fri Sep 17 1999 Bill Nottingham <notting@redhat.com>
- get default homepage back

* Sat Sep 11 1999 Bill Nottingham <notting@redhat.com>
- fix paths to pidof

* Fri Aug 27 1999 Bill Nottingham <notting@redhat.com>
- fix paths to compat libs in new script.

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- some ideas from H. Peter Anvin and Dave Cinege's wrapper incorporated.

* Fri Aug 20 1999 Bill Nottingham <notting@redhat.com>
- run against the compatibility libs. This sucks.
- re-integrate the Sparc version, with different versions.

* Tue Jun 15 1999 Bill Nottingham <notting@redhat.com>
- update to 4.61

* Mon May 17 1999 Bill Nottingham <notting@redhat.com>
- update to 4.6

* Thu May  6 1999 Bill Nottingham <notting@redhat.com>
- remove libTrueDoc to get rid of libc5 dependency. Oops.

* Mon May  3 1999 Bill Nottingham <notting@redhat.com>
- update to attempt to fix pipe bug

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- rewrite startup script to be sane

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- move requires/obsoletes to the right place in the spec file.

* Thu Mar 25 1999 Bill Nottingham <notting@redhat.com>
- update to 4.51
- build on sparc. Wheee.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Tue Mar 16 1999 Bill Nottingham <notting@redhat.com>
- applink -> applnk
- make subpackages require versions

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- wmconfig -> applink

* Fri Jan 22 1999 Bill Nottingham <notting@redhat.com>
- fix netscape script for other locales
- remove LD_PRELOAD (ns is now linked against libBrokenLocale....)

* Sun Jan 10 1999 Bill Nottingham <notting@redhat.com>
- spec file cosmetics

* Sun Dec 13 1998 Bill Nottingham <notting@redhat.com>
- update to 4.08

* Tue Oct  6 1998 Bill Nottingham <notting@redhat.com>
- update to 4.07

* Tue Aug 18 1998 Bill Nottingham <notting@redhat.com>
- updated to 4.06

* Fri Jul 10 1998 Cristian Gafton <gafton@redhat.com>
- modified to load libBrokenLocale.so.1, so that glibc-devel is no longer
  required

* Thu Jun 11 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 11 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Jun 10 1998 Erik Troan <ewt@redhat.com>
- replaced LANG=C with a preload of libBrokenLocale.so
- don't point to our html page if a home page is set in the user's preferences
- added missing " to wmconfig files

* Mon May 04 1998 Erik Troan <ewt@redhat.com>
- added LANG=C to netscape start wrapper

* Thu Apr 02 1998 Erik Troan <ewt@redhat.com>
- update to netscape 4.05
- moved common files to netscape-common package which both navigator and
  communicator require
- made relocateable (needs RPM >= 2.4.103 to relocate properly)

* Fri Jan 23 1998 Erik Troan <ewt@redhat.com>
- initial package is rel 3, works on RH 4.x and RH 5.x
